Bug 208222 - No icon avaiable for "loop track"
Summary: No icon avaiable for "loop track"
Status: RESOLVED NOT A BUG
Alias: None
Product: Oxygen
Classification: Plasma
Component: icons (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: pinheiro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-23 00:15 UTC by markuss
Modified: 2011-04-01 01:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markuss 2009-09-23 00:15:45 UTC
Version:            (using KDE 4.3.1)

In the Open/Save window, the "loop track" button has no icon. See http://techbase.kde.org/File:Missing_audio_preview.jpg 
After digging through the code a bit, I found out that the buttons are provided by Phonon and that there's currently simply no icon file at all for this action.

I thought for a while that I just copy over an Amarok icon, but that one doesn't fit 100%.
Comment 1 markuss 2009-09-23 00:17:12 UTC
CC'ing Nuno. Hopefully he can make that missing icon for 4.4.
Comment 2 Myriam Schweingruber 2009-11-17 13:16:26 UTC
Any news on this?
Comment 3 markuss 2009-11-18 10:37:03 UTC
Still the same on 4.3.3
Comment 4 pinheiro 2009-11-26 00:23:32 UTC
name for the icon? and what does it do exactly?
Comment 5 markuss 2009-11-26 01:59:59 UTC
It toggles loop mode for the current media file / track. Currently it's (at least as far as i know) only used in said preview sidebar of Open/Save windows, but could possibly also be used for media players.
File name could be actions/media-loop-track)
Comment 6 markuss 2009-12-21 12:04:28 UTC
May I remind that artwork freeze for 4.4 is in two weeks and there's christmas and new year in between?

As temporary workaround I've committed a modification to kdelibs/interfaces/kmediaplayer/kfileaudiopreview/mediacontrols_p.h to use "view-refresh" as icon. It's far from being the perfect solution, but better than a question mark.
Comment 7 markuss 2011-03-31 16:43:30 UTC
Whatever. The button has been removed, so an icon is no longer needed.
Keep redoing existing icons over and over again instead of finally completing the set in the first place.
Comment 8 pinheiro 2011-03-31 17:06:53 UTC
wtf moment hey are you paying me? no... so I do what needs to be done acordind to what I think needs to be done, on my free time.
Jesus....I HAVE MORE THAN 1300 icons on my todo list, your icon is not more important than say caligra icons they are missing undreds. I do what i can with the time I have, the icon set needs to be constantly revamped so it wont become old... the most used icons require the most atention...there are many inconsistencies in the exysting icons that need fixing as well....
C'mon I do this on my free time as well as alot more things in kde. wen people talk as if they were my boss I assure you my motivation gets down...
Comment 9 Christoph Feck 2011-04-01 01:06:59 UTC
@Nuno, your work is awesome, and while we can all code stuff, I know no one who would be able to create artwork the way you can do it AND make it freely available. Without Oxygen icons, KDE 4 would simply not be what it is.

@Markus, thanks for the motivation. Maybe you are also able to apologize.